# TdApi.ChatStatisticsMessageSenderInfo (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatStatisticsMessageSenderInfo

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatStatisticsMessageSenderInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatisticsMessageSenderInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatStatisticsMessageSenderInfo extends TdApi.Object
Contains statistics about messages sent by a user.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`averageCharacterCount`
Average number of characters in sent messages; 0 if unknown.
`static final int`
`CONSTRUCTOR`
`int`
`sentMessageCount`
Number of sent messages.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`ChatStatisticsMessageSenderInfo()`
Contains statistics about messages sent by a user.
`ChatStatisticsMessageSenderInfo(long userId, int sentMessageCount, int averageCharacterCount)`
Contains statistics about messages sent by a user.
`ChatStatisticsMessageSenderInfo(DataInput input)`
Contains statistics about messages sent by a user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### sentMessageCount

public int sentMessageCount
Number of sent messages.

### averageCharacterCount

public int averageCharacterCount
Average number of characters in sent messages; 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatStatisticsMessageSenderInfo

public ChatStatisticsMessageSenderInfo()
Contains statistics about messages sent by a user.

### ChatStatisticsMessageSenderInfo

public ChatStatisticsMessageSenderInfo(long userId, int sentMessageCount, int averageCharacterCount)
Contains statistics about messages sent by a user.

Parameters:
  `userId` - long User identifier.
  `sentMessageCount` - int Number of sent messages.
  `averageCharacterCount` - int Average number of characters in sent messages; 0 if unknown.

### ChatStatisticsMessageSenderInfo

public ChatStatisticsMessageSenderInfo(DataInput input) throws IOException
Contains statistics about messages sent by a user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`